### Method

# FwupdPlugin Device add_json

#### Declaration [src]

    void
    fu_device_add_json (
      FuDevice* self,
      JsonBuilder* builder,
      FwupdCodecFlags flags
    )

#### Description

No description available.

#### Parameters

`builder`

  Type: `JsonBuilder`

  No description available.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdCodecFlags`

  No description available.